Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
phone
/
providers
/
twilio
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.Phone.GetTwilioProviderAsync();
    }

}
{
  "from": "+1223323",
  "messaging_service_sid": "5dEkAiHLPCuQ1uJj4qNXcAnERFAL6cpq",
  "auth_token": "zw5Ku6z2sxhd0ZVXto5SDHX6KPDByJPU",
  "sid": "wywA2BH4VqTpfywiDuyDAYZL3xQjoO40"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Twilio Phone configuration successfully retrieved.

from
string | null
default:+1223323

From number

Maximum string length: 64
messaging_service_sid
string | null
default:5dEkAiHLPCuQ1uJj4qNXcAnERFAL6cpq

Copilot SID

Required string length: 1 - 1000
auth_token
string | null
default:zw5Ku6z2sxhd0ZVXto5SDHX6KPDByJPU

Twilio Authentication token

Required string length: 1 - 1000
sid
string | null
default:wywA2BH4VqTpfywiDuyDAYZL3xQjoO40

Twilio SID

Required string length: 1 - 1000